#!/usr/bin/env bash
set -eou pipefail

DIRECTORY=$(dirname "$0")
pushd $DIRECTORY

# Update our sources first
$DIRECTORY/sources/update-sources.sh

# Then update the flake
nix flake update

# Make sure the update worked
pushd $DIRECTORY/test-crate
./ci.sh
rm flake.lock
